********************************************************************
********************************************************************
************	ECONOMETRIA INTERMEDIA					************
************	ROSALES * PERDOMO * MORALES * URREGO	************
************											************			
************	EJEMPLO CAPITULO 4						************
********************************************************************
********************************************************************

use "C:\Capitulo 4\capitulo4.dta"

gen tiempo=yq(fecha, trimestre)

tsset tiempo, quarterly

gen lnpib=log(pib)

ssc install hprescott

tsline  lnpib

hprescott lnpib, stub(slnpib) smoot(1600)

tsline  lnpib slnpib_lnpib_sm_1

tsline   slnpib_lnpib_1

tsappend, add(1) 

range t 1 38 38

boxcox pib t in 1/10, model(theta) lrtest iterate(100)

reg  pib t

predict pibp, xb

tsline  pib pibp

tssmooth dexponential spib=pib, forecast (4)

tsline spib pib

tssmooth shwinters shwpib=pib, forecast (4) iterate(100)

tsline shwpib pib